Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters
[Groovy] Class XMLParsingParameterCreationListener

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.AbstractParsingParameterCreationListener
          org.codehaus.groovy.grails.web.converters.XMLParsingParameterCreationListener

    class XMLParsingParameterCreationListener
    extends AbstractParsingParameterCreationListener

Automatically parses an incoming XML request and populates the params object with the XML data so that it can be used in data binding.

Authors:
  Graeme Rocher

Since:
  1.0

Property Summary
`static java.lang.Object` | `LOG`

Method Summary
`void` | `paramsCreated(GrailsParameterMap params)`

Methods inherited from class AbstractParsingParameterCreationListener
createFlattenedKeys

Property Detail

### LOG

    static final java.lang.Object LOG

Method Detail

### paramsCreated

    void paramsCreated(GrailsParameterMap params)

Groovy Documentation